2017-12-26 25 views
0

以前は私のGradleを働いていないのGradleで提供キーワードは次のように検索するために使用して問題、

に変更した後、

implementation 'com.dji:dji-sdk:4.3.2' 

今(少数の登録バグから離れて)うまく働きました

implementation 'com.dji:dji-sdk:4.4.0' 

カメラやその他のファイルはもう認識することができません。私は認識できない輸入品のスクリーンショットを添付しています。私は取得しています

//dji-drones-sdk 
    implementation 'com.dji:dji-sdk:4.4.0' 
    provided 'com.dji:dji-sdk-provided:4.4.0' 

を追加しようとしていますが enter image description here

enter image description hereスクリーンショットが

enter image description here

を添付 "DJI-SDK-provided.jarをダウンロードすることができませんでした"

すべての例とgithubのコードバージョン4.3.2にあります。誰か助けてくれますか? は、ここで私は問題を発見したDJIのSDK

答えて

0

からlinkです。 Gradleでは3.4の後、「提供」は「compileOnly」 私は引用、

のGradleによって置き換えられ(それはビルド出力に追加されていない)だけで、コンパイルのクラスパスへの依存関係を追加します。これは、Androidライブラリモジュールを作成しているときにコンパイル時に依存関係が必要な場合に便利ですが、実行時に存在することはオプションです。それはあなたがこの設定を使用している場合、その後あなたのライブラリー・モジュールは、ランタイム条件は依存性が利用可能であるかどうかを確認し、優雅にそれが提供していない場合、それはまだ機能できるように、その動作を変更することが含まれている必要があり、です。これは、クリティカルではない一時的な依存性を追加しないことで、最終的なAPKのサイズを縮小するのに役立ちます。この構成は、提供されたように動作します(現在は推奨されていません)。したがって、の代わりにcompileOnlyを使用して

トリックを行いますを提供します。

グラデーションの変更に関するlinkはこちら